%global pkgname django-ckeditor 
Name:		python-django-ckeditor
Version:	5.3.0  
Release:	1%{?dist}
Summary:	Django admin CKEditor integration
Group:		Development/Languages

# ckeditor included can be GPLv2+ or LGPLv2+ or MPLv1.1
# jush are licensed under Apache license 
# jquery are licensed under MIT license
# all the remaining source code is licensed under BSD 

License:	BSD and (GPLv2+ or LGPLv2+ or MPLv1.1) and MIT and ASL 2.0
URL:		https://pypi.python.org/pypi/django-ckeditor
Source0:	https://files.pythonhosted.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python-setuptools

%if 0%{?fedora} >= 19
Requires:	python-pillow
%else
Requires:	python-imaging
%endif

%if 0%{?fedora} >= 18
Requires:	python-django
BuildRequires:	python-django
%else
Requires:	Django
BuildRequires:	Django
%endif

%description
Provides a RichTextField and CKEditorWidget utilizing CKEditor 
with image upload and browsing support included

%prep
%setup -qn %{pkgname}-%{version}
#empty files
# Remove bundled egg
rm -rf django_ckeditor.egg-info
# Remove Ds_Store files
find . -iname "*.Ds_Store" | xargs rm -f

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
%files
%doc LICENSE README.rst AUTHORS.rst CHANGELOG.rst PKG-INFO
%{python_sitelib}/ckeditor
%{python_sitelib}/django_ckeditor-*.egg-info
%{python2_sitelib}/ckeditor_uploader

%changelog
* Sun Jul 23 2017 Eduardo Echeverria  <echevemaster@gmail.com> - 5.3.0-1
- Update to 5.3.0 version

* Mon Aug 26 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 4.0.2-5
- Remove bundle flash files %%prep section.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 10 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 4.0.2-3
- Remove Ds_Store files in %%prep.

* Tue Jul 09 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 4.0.2-2
- Change the license field with the correct licenses.

* Sun Jul 07 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 4.0.2-1
- Initial packaging

